sensorfw: CompassSensorChannel Class Reference

sensorfw

Public Slots | Signals | Public Member Functions | Static Public Member Functions | Protected Member Functions | Properties | List of all members
CompassSensorChannel Class Reference

Logical sensor for measuring compass direction using magnetometer and accelerometer sensors. More...

`#include <compasssensor.h>`

Inheritance diagram for CompassSensorChannel:

## Public Slots
bool | start ()
bool | stop ()

## Signals
void | dataAvailable (const Compass &value)

## Public Member Functions
quint16 | declinationValue () const
Compass | get () const

## Static Public Member Functions
static AbstractSensorChannel * | factoryMethod (const QString &id)

## Protected Member Functions
| CompassSensorChannel (const QString &id)
virtual | ~CompassSensorChannel ()

## Properties
quint16 | declinationvalue
Compass | value

## Detailed Description

Logical sensor for measuring compass direction using magnetometer and accelerometer sensors.

For details about the dataflow for compass, see CompassChain.

Definition at line 49 of file compasssensor.h.

## Constructor & Destructor Documentation

## ◆ CompassSensorChannel()

CompassSensorChannel::CompassSensorChannel | ( | const QString & | id | ) |
| protected

## ◆ ~CompassSensorChannel()

virtual CompassSensorChannel::~CompassSensorChannel | ( |  | ) |
| protectedvirtual

## Member Function Documentation

## ◆ dataAvailable

void CompassSensorChannel::dataAvailable | ( | const Compass & | value | ) |
| signal

## ◆ declinationValue()

quint16 CompassSensorChannel::declinationValue | ( |  | ) | const

## ◆ factoryMethod()

static AbstractSensorChannel * CompassSensorChannel::factoryMethod | ( | const QString & | id | ) |
| inlinestatic

Definition at line 59 of file compasssensor.h.

## ◆ get()

Compass CompassSensorChannel::get | ( |  | ) | const
| inline

Definition at line 69 of file compasssensor.h.

## ◆ start

bool CompassSensorChannel::start | ( |  | ) |
| slot

## ◆ stop

bool CompassSensorChannel::stop | ( |  | ) |
| slot

## Property Documentation

## ◆ declinationvalue

quint16 CompassSensorChannel::declinationvalue
| read

Definition at line 1 of file compasssensor.h.

## ◆ value

Compass CompassSensorChannel::value
| read

Definition at line 1 of file compasssensor.h.

The documentation for this class was generated from the following file:

- sensors/compasssensor/compasssensor.h